Subject: Re: bug#14732: Package dos-mode for ELPA

From: Stefan Monnier <[email-masked]>
Date: Wed, 07 Aug 2013 14:11:31 -0400

> Of course, I suppose that if I try to add support (font-locking.
> mostly) for TCC, the proprietary command interpreter part of
> TakeCommand, I will be shoot down, even if CMD itself is not exactly
> free software...

Right, support for DOS/Windows batch files is indeed borderline in
this respect.  I considered it acceptable on the basis that the GPL
accepts linking with proprietary libraries as long as they are "part of
the basic OS" and I think cmd.exe also fits this description of "the
basic OS".  So in this sense, it does not encourage installation of
non-Free software (you're unlikely to install Windows just in order to
run a batch file).
That same argument wouldn't work for TCC.

        Stefan "who happened to «run» his very first .bat file recently
                (did by hand, for lack of a .bat interpreter; that was
                to get root access on an Android device ;-)"